Zend FR

Consultez la FAQ sur le ZF avant de poster une question

Vous n'êtes pas identifié.

#1 30-01-2013 01:33:14

bakura
Administrateur
Date d'inscription: 30-01-2010
Messages: 353

ZF 2.1.0 et 2.0.7 sont disponibles !

Après pas mal de retard, la première version mineure de Zend Framework 2 vient de sortir, logiquement estampillée 2.1. Il s'agit donc de la première version contenant de nouvelles fonctionnalités.

Parmi les plus grosses nouveautés :

* Un nouveau composant Rbac (Zend\Permissions\Rbac)
* Un composant d'envoi de fichier entièrement refait et 100% intégré avec les nouveaux formulaires
* De nouveaux éléments pour les formulaires (DateSelect/MonthSelect)
* Plus de fonctionnalités pour Zend\Db
* Le composant d'authentification est maintenant plus simple à utiliser grâce à une partie de la logique déportée dans les classes de bases fournies par le framework
* Et des dizaines de corrections de bugs

Le changelog complet est disponible ici : https://github.com/zendframework/zf2/bl … ANGELOG.md

En parallèle, une nouvelle version de correctifs pour la branche 2.0, est également sortie : 2.0.7.

Normalement, aucun cassage de compatibilité n'a été introduit sur cette version, donc vous pouvez faire la mise à jour sans trop de problèmes, via composer.

En parallèle, je précise que je travaille actuellement sur un module visant à simplifier grandement le développement d'API REST, avec le module ZfrRest. Nous sommes deux à le développer et le module avance bien. Si vous êtes intéressés, n'hésitez pas à jeter un coup d'oeil sur le repo officiel: https://github.com/zf-fr/ZfrRest

Ce n'est pas encore utilisable mais si vous avez des suggestions, vous êtes les bienvenus !

Bonne soirée et codez bien !

Hors ligne

 

#2 30-01-2013 08:54:09

Orkin
Administrateur
Lieu: Paris
Date d'inscription: 09-12-2011
Messages: 1253

Re: ZF 2.1.0 et 2.0.7 sont disponibles !

Enfin, il n'y a plus qu'à !! Par contre tu entends par sur le composant d'authentification ? Des plugins et view helpers identity ?

Hors ligne

 

#3 30-01-2013 12:24:53

bakura
Administrateur
Date d'inscription: 30-01-2010
Messages: 353

Re: ZF 2.1.0 et 2.0.7 sont disponibles !

Non, mais ça concerne pas trop quand tu utilises Doctrine. Pour la plupart des adapters (Http, Db...) une partie du code que l'on écrivait manuellement se fait directement dans les adapters. M'enfin smile.

Hors ligne

 

Pied de page des forums

Propulsé par PunBB
© Copyright 2002–2005 Rickard Andersson
Traduction par punbb.fr

Graphisme réalisé par l'agence Rodolphe Eveilleau
Développement par Kitpages